Announcement Announcement Module
Collapse
No announcement yet.
GTK Linux builds hardware dependent? Page Title Module
Move Remove Collapse
X
Conversation Detail Module
Collapse
  • Filter
  • Time
  • Show
Clear All
new posts

  • GTK Linux builds hardware dependent?

    I need to run STS on PPC hardware under Debian Squeeze (or any other Linux PPC distribution if I have to switch).

    Is the GTK parts of the Linux GTK builds of STS hardware dependent? Or do they just make calls to the GTK API?

    If they are hardware dependent I suppose I have to build my own Spring IDE from GIT? What would I be missing in GIT source?

  • #2
    Hi!

    STS is built on top of Eclipse, which has native code in there (for example for the SWT widget toolkit). Therefore you would need an Eclipse build for Linux PPC/GTK and install STS from the update sites on top of that. Unfortunately there is no JEE package build for Linux PPC/GTK, therefore you would need to start with the Eclipse SDK 3.7 for Linux PPC/GTK and install STS from the update site. This should also install the necessary JEE packages automatically from the Indigo repository.

    HTH,
    Martin

    Comment


    • #3
      no 32bit builds available

      Thanks Martin, Unless I build Eclipse myself — which I wouldn't want to get into I think— there are no 32bit builds of 3.7 available. So I'd have to use an older version of Eclipse or install Linux on my Powermac G5, as 64bit/PPC still seems to be available.

      Comment


      • #4
        Yes, if you need 32bit PPC on Linux, you would need to download Eclipse 3.6.x (not that old) and go from there installing STS via the update sites, we still provide the release and latest milestone builds for Eclipse 3.6.

        HTH,
        Martin

        Comment


        • #5
          Yes, I discovered this, so that's the path I'm taking. I'm not sure Linux/PPC with openjdk 6 will solve my project crashing problems, but it is worth investigating, at least. As can be read in another thread Mac OS X 10.5.8 since 2.5.2 and now also 2.8M1 keeps crashing my project (less so than 2.7.1 however), typically at the build stage.

          Comment

          Working...
          X